Get user orders from DATABASE (our matching engine state)
curl --request GET \
--url https://api.blink15.com/users/{address}/ordersimport requests
url = "https://api.blink15.com/users/{address}/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.blink15.com/users/{address}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"asset_id": "<string>",
"created_at": 123,
"id": "<string>",
"maker_address": "<string>",
"market": "<string>",
"order_type": "<string>",
"original_size": "<string>",
"outcome": "<string>",
"owner": "<string>",
"price": "<string>",
"side": "<string>",
"size_matched": "<string>",
"status": "<string>",
"associate_trades": [
"<string>"
],
"expiration": "<string>",
"order_hash": "<string>"
}
],
"next_cursor": "<string>",
"available_usdc": "<string>"
}users
Get user orders from DATABASE (our matching engine state)
Orders are off-chain until matched, so we query our database.
GET /users/:address/orders
GET
/
users
/
{address}
/
orders
Get user orders from DATABASE (our matching engine state)
Path Parameters
User wallet address
Response
200 - application/json
User orders
Get user's open orders - GET /data/orders Response format matches Polymarket py-clob-client expectations
⌘I

